classification
Title: Add the members parameter for TarFile.list()
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: lars.gustaebel, python-dev, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2014-05-21 10:30 by serhiy.storchaka, last changed 2014-08-21 07:10 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
tarfile_list_members_2.patch serhiy.storchaka, 2014-08-17 17:16 review
Messages (5)
msg218866 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-05-21 10:30
The proposed patch adds the members parameter for TarFile.list() with the same meaning as in TarFile.extractall(). This is needed for implementing the tar command utility which allows filtering and transforming an output (e.g. output numerical ids instead names for owner/group).

An alternative approach is to add the filter parameter (as in TarFile.add()) to both TarFile.list() and TarFile.extractall().
msg218868 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-05-21 10:50
See issue21550 for example.
msg225452 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-08-17 17:16
Added a test. Make the members parameter keyword-only.

If there are no objections I'll commit the patch soon.
msg225602 - (view) Author: Roundup Robot (python-dev) Date: 2014-08-21 07:02
New changeset 5875c50e93fe by Serhiy Storchaka in branch 'default':
Issue #21549: Added the "members" parameter to TarFile.list().
http://hg.python.org/cpython/rev/5875c50e93fe
msg225603 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-08-21 07:10
Thank you Berker for the review.
History
Date User Action Args
2014-08-21 07:10:55serhiy.storchakasetstatus: open -> closed
resolution: fixed
messages: + msg225603

stage: commit review -> resolved
2014-08-21 07:02:45python-devsetnosy: + python-dev
messages: + msg225602
2014-08-20 10:21:16berker.peksagsetstage: patch review -> commit review
2014-08-17 17:19:15serhiy.storchakasetfiles: - tarfile_list_members.patch
2014-08-17 17:16:09serhiy.storchakasetfiles: + tarfile_list_members_2.patch

messages: + msg225452
2014-08-17 17:12:33serhiy.storchakasetassignee: serhiy.storchaka
2014-05-21 10:50:50serhiy.storchakasetmessages: + msg218868
2014-05-21 10:50:09serhiy.storchakalinkissue21550 dependencies
2014-05-21 10:30:23serhiy.storchakacreate